'ADS_SCOPE_SUBTREE specifies the depth of the search operation performed against the BaseDN
'I suggest you to use cscript.exe from a command prompt to redirect the output of this script on a text file
 
On Error Resume Next
 
'Set here the depth of the search operation performed against the BaseDN
Const ADS_SCOPE_SUBTREE = 2
 
Set objConnection = CreateObject("ADODB.Connection")
Set objCommand =   CreateObject("ADODB.Command")
objConnection.Provider = "ADsDSOObject"
objConnection.Open "Active Directory Provider"
Set objCommand.ActiveConnection = objConnection
 
objCommand.Properties("Page Size") = 1000
objCommand.Properties("Searchscope") = ADS_SCOPE_SUBTREE 
 
objCommand.CommandText = _
	"SELECT Name,memberOf FROM 'LDAP://ou=Users,ou=corp,dc=domain,dc=com' WHERE objectCategory='User'"  
Set objRecordSet = objCommand.Execute
objRecordSet.MoveFirst

Do Until objRecordSet.EOF
	strGroups = ""
	'strName = objRecordset.Fields("distinguishedName").Value
	strName = objRecordset.Fields("Name").Value
	arrGroups = objRecordset.Fields("memberOf").Value

	If IsNull(arrGroups) Then
		strGroups = ""
	Else
		For Each strItem In arrGroups
			GroupNameChars=inStr(strItem,",")
			GroupName=Left(strItem,(GroupNameChars-1))
			GroupName=Replace(GroupName,"CN=","")
			'strGroups = strGroups & vbTab & strItem
			strGroups = strGroups & vbTab & GroupName
		Next
	End If
	
	Wscript.Echo strName & vbTab & strGroups
	objRecordSet.MoveNext
Loop